package com.dev.swms.server.model.interfaces;

import java.util.Date;

import com.dev.energy.server.model.Entity;

/**
 * 地址簿主数据接口 
 * @author 44700
 *
 */
public class InterfaceWmsAddress extends Entity{
	
	/**地址号*/
	private String addressNumber;
	
	/**字母 名称 */
	private String nameAlpha;
	
	/**搜索 类型 */
	private String addressType1;
	
	/**行 号*/
	private String lineNumberID;
	
	/**邮寄 姓名 */
	private String nameMailing;
	
	/**联系人电话*/
	private String phoneNumber;
	
	/**联系人邮件地址*/
	private String emailAddressow;
	
	/**地址 行 1*/
	private String addressLine1;
	
	/**地址 行 2*/
	private String addressLine2;
	
	/**地址 行 3*/
	private String addressLine3;
	
	/**地址 行 4*/
	private String addressLine4;
	
	/**城市 */
	private String city;
	
	/**县 */
	private String state;
	
	/**省（州）*/
	private String countyAddress;
	
	/**接口任务号（待确定）*/
	private String sessionID;
	
	/**处理结果（Y/N） */
	private String yesOrNoEntry;
	
	/**最后更新日期 */
	private String dateUpdated;
	
	/**最后更新时间 */
	private String timeLastUpdated;
	
	/**最后更新用户名 */
	private String userId;
	
	/**最大返回记录行数*/
	private String maxReturnedRows;
	
	/**异常描述*/
	private String exception_des;
	
	/**状态*/
	private String status;
	
	/**创建时间*/
	private Date createDate;
	
	
	
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getException_des() {
		return exception_des;
	}

	public void setException_des(String exception_des) {
		this.exception_des = exception_des;
	}

	public String getAddressNumber() {
		return addressNumber;
	}

	public void setAddressNumber(String addressNumber) {
		this.addressNumber = addressNumber;
	}

	public String getNameAlpha() {
		return nameAlpha;
	}

	public void setNameAlpha(String nameAlpha) {
		this.nameAlpha = nameAlpha;
	}

	public String getAddressType1() {
		return addressType1;
	}

	public void setAddressType1(String addressType1) {
		this.addressType1 = addressType1;
	}

	public String getLineNumberID() {
		return lineNumberID;
	}

	public void setLineNumberID(String lineNumberID) {
		this.lineNumberID = lineNumberID;
	}

	public String getNameMailing() {
		return nameMailing;
	}

	public void setNameMailing(String nameMailing) {
		this.nameMailing = nameMailing;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public String getEmailAddressow() {
		return emailAddressow;
	}

	public void setEmailAddressow(String emailAddressow) {
		this.emailAddressow = emailAddressow;
	}

	public String getAddressLine1() {
		return addressLine1;
	}

	public void setAddressLine1(String addressLine1) {
		this.addressLine1 = addressLine1;
	}

	public String getAddressLine2() {
		return addressLine2;
	}

	public void setAddressLine2(String addressLine2) {
		this.addressLine2 = addressLine2;
	}

	public String getAddressLine3() {
		return addressLine3;
	}

	public void setAddressLine3(String addressLine3) {
		this.addressLine3 = addressLine3;
	}

	public String getAddressLine4() {
		return addressLine4;
	}

	public void setAddressLine4(String addressLine4) {
		this.addressLine4 = addressLine4;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getCountyAddress() {
		return countyAddress;
	}

	public void setCountyAddress(String countyAddress) {
		this.countyAddress = countyAddress;
	}

	public String getSessionID() {
		return sessionID;
	}

	public void setSessionID(String sessionID) {
		this.sessionID = sessionID;
	}

	public String getYesOrNoEntry() {
		return yesOrNoEntry;
	}

	public void setYesOrNoEntry(String yesOrNoEntry) {
		this.yesOrNoEntry = yesOrNoEntry;
	}

	public String getDateUpdated() {
		return dateUpdated;
	}

	public void setDateUpdated(String dateUpdated) {
		this.dateUpdated = dateUpdated;
	}

	public String getTimeLastUpdated() {
		return timeLastUpdated;
	}

	public void setTimeLastUpdated(String timeLastUpdated) {
		this.timeLastUpdated = timeLastUpdated;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getMaxReturnedRows() {
		return maxReturnedRows;
	}

	public void setMaxReturnedRows(String maxReturnedRows) {
		this.maxReturnedRows = maxReturnedRows;
	}
	
	
	
}
